
plugins {
	application
	eclipse
}

java {
	toolchain {
		languageVersion = JavaLanguageVersion.of(21)
	}
}

application {
	mainClass = "proxy.Proxy"
	tasks.run.get().workingDir = rootProject.file("dev/proxy")
	tasks.run.get().workingDir.mkdirs()
	tasks.run.get().standardInput = System.`in`
}

tasks.jar {
	destinationDirectory = rootProject.file("dev")
	archiveFileName = "vloginproxy.jar"
}
